import javazoom.jl.player.*; 
import java.io.*;

/**
 * Klasse SOUND kann MP3-Dateien abspielen
 * 
 * @author      mike ganshorn
 * @version     2014-05-30
 */
public class SOUND
{
    private InputStream is;
    private Player player;
    

    /**
     * Konstruktor der Klasse SOUND
     */
    public SOUND()
    {
        // Nichts
    }

    
    public void play(String soundfile)
    {
        try {
            is = new FileInputStream(soundfile);
        }
        catch (FileNotFoundException e) {
            System.out.println("Sounddatei " + soundfile + " nicht gefunden! Schreibweise pruefen!");
        }
        try {
            player = new Player(is);
            player.play();
        }
        catch (javazoom.jl.decoder.JavaLayerException e) {
            e.printStackTrace();
        }
    }
    
    
    
}
